commit:     173e6087684218edde2b9c0f8be63949f27e1ac1
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 27 00:22:26 2018 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sat Jan 27 00:23:44 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=173e6087

x11-misc/albert: version bump 0.14.15

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 x11-misc/albert/Manifest              |  2 ++
 x11-misc/albert/albert-0.14.15.ebuild | 58 +++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/x11-misc/albert/Manifest b/x11-misc/albert/Manifest
index b70f310afdb..caefac42d92 100644
--- a/x11-misc/albert/Manifest
+++ b/x11-misc/albert/Manifest
@@ -1,3 +1,5 @@
 DIST albert-0.12.0.tar.gz 404748 BLAKE2B 
f6f62201a104b51a381036ba44197adc157a472b75636a3e7c391f3cd79ab9cb8f8b5951142df02b9b249e950a2482070e05c81deb779d5442d22dbe363d835c
 SHA512 
56d141a2c6b98744c0b34a7adbbca8b6af93545a7b067263acf59fc63d99ec7d9f19f2f3c73f477e5f35448ae8a563c9f132bed87be135467f8f0c1462f9b031
 DIST albert-0.14.14-plugins.tar.gz 540053 BLAKE2B 
eeb63b8c884d832907938015c5e444289a04c33fdbec1106fe75259abc031cff579b1137b3d68b786b4af797ce59938a96bd81e7e27e3fb1db0bcef84cb11ec7
 SHA512 
6e7942911da26672cbf0789ccae06af237794190f10bf91cb261e77c2c6be61201385a202de2798ac2794fb96737ea5055588a4efb1fb5266b0dc09364c4aa1e
 DIST albert-0.14.14.tar.gz 84931 BLAKE2B 
bf2a6cf7c0a05597fd0c3baf01fafab92e8783d4fde85bb80ebb85692d3166c8d451ffa61f3508cd4f4c99559ad1f0905b96d88ef2c39fc9f6f80e48b69968a0
 SHA512 
f48357b0611928398c4b55236472bac2db842d971288e863df9d35956864145a1ba22f6e264c6f50357c791064bd5bde1a84f7db5a54bd9c48a91093c830dccf
+DIST albert-0.14.15-plugins.tar.gz 540189 BLAKE2B 
b8243917cdd30c74f26ad852421cf525047694aaae2ec170a31d6239f7fa704de72f9ef67564282136ca15ec1960a1c882c193a2339541e0bf40986ee10588cb
 SHA512 
1af59c65bd91ac626abd8777b350c92a4532a88119bd9ec6ff55f9f3ad72e5cfd6987c9b34f1c32ca854891e91f79ffbea04ed23fa85a18826e9aa890b400079
+DIST albert-0.14.15.tar.gz 84875 BLAKE2B 
80e173100a0d135a18b20482ef0eb103634207b1e1a7284b2c5245750bc22478026b25982b714b3fcd079ed7674075a6853917d789f99628a368c6a9c6fd344d
 SHA512 
9a6efd9203f7b96aa14c063a9de8c59e6b4bb0a5c55a64662ec170b75fc71247b7313a1252f71ab2516b4b62538f4c89778a43b8804915996636f49d4e0a6d31

diff --git a/x11-misc/albert/albert-0.14.15.ebuild 
b/x11-misc/albert/albert-0.14.15.ebuild
new file mode 100644
index 00000000000..f2b0faa7ea2
--- /dev/null
+++ b/x11-misc/albert/albert-0.14.15.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PLUGINS_HASH="caa38cfa1ba6289ee2fc4913ea70d49fd761244e"
+inherit cmake-utils gnome2-utils
+
+DESCRIPTION="Desktop agnostic launcher"
+HOMEPAGE="https://albertlauncher.github.io/";
+# plugins is a git submodule. the hash is taken from the submodule reference 
in the ${PV} tag.
+SRC_URI="https://github.com/albertlauncher/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz
+https://github.com/albertlauncher/plugins/archive/${PLUGINS_HASH}.tar.gz -> 
${P}-plugins.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="debug"
+
+RDEPEND="
+       dev-cpp/muParser
+       dev-qt/qtconcurrent:5
+       dev-qt/qtcore:5
+       dev-qt/qtdbus:5
+       dev-qt/qtdeclarative:5
+       dev-qt/qtgui:5
+       dev-qt/qtnetwork:5
+       dev-qt/qtsql:5[sqlite]
+       dev-qt/qtsvg:5
+       dev-qt/qtwidgets:5
+       dev-qt/qtx11extras:5
+       x11-libs/libX11
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       mv "${WORKDIR}"/plugins-${PLUGINS_HASH}/* "${S}"/plugins/ || die
+
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_DEBUG=$(usex debug)
+               -DBUILD_PYTHON=OFF #plugin directory is empty causing build 
failure
+               -DBUILD_VIRTUALBOX=OFF #plugin needs virtualbox installed to 
build, untested
+       )
+
+       cmake-utils_src_configure
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to